Package com.google.gwt.user.client.ui

## Class ClickListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ClickListener>
      - - com.google.gwt.user.client.ui.ClickListenerCollection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<ClickListener>`, `java.util.Collection<ClickListener>`, `java.util.List<ClickListener>`, `java.util.RandomAccess`
  Direct Known Subclasses:
    `DelegatingClickListenerCollection`

      @Deprecated
      public class ClickListenerCollection
      extends java.util.ArrayList<ClickListener>

  Deprecated.
  As of GWT 1.6, call ``addDomHandler`(myHandler, ClickEvent.getType())` to manage handlers for your widget instead
  A helper class for implementers of the SourcesClickEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ClickListener`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClickListenerCollection()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fireClick​(Widget sender)` | Deprecated. Fires a click event to all listeners.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Constructor Detail

    - #### ClickListenerCollection

          public ClickListenerCollection()

      Deprecated.

  - ### Method Detail

    - #### fireClick

          public void fireClick​(Widget sender)

      Deprecated.
      Fires a click event to all listeners.
      Parameters:
        `sender` - the widget sending the event.